---
lang: en
title: 'API docs: context.getdeepproperty'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.getdeepproperty.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [getDeepProperty](./context.getdeepproperty.md)

## getDeepProperty() function

Get nested properties of an object by path

**Signature:**

```typescript
export declare function getDeepProperty<OUT = BoundValue, IN = BoundValue>(value: IN, path: string): OUT | undefined;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

value


</td><td>

IN


</td><td>

Value of the source object


</td></tr>
<tr><td>

path


</td><td>

string


</td><td>

Path to the property


</td></tr>
</tbody></table>

**Returns:**

OUT \| undefined


